<?php
include_once("../include/main.inc.php");
check_session('MyCpanel','index.php');
@extract($_REQUEST);

if (empty($catID)) {
	$heading="Add New Name";
}
else {
	$heading="Edit Category";
}

$record_type="Hot Keyword";
$script_name="addedithotkeyword.php";
$redirect_script_name="manage_hotkeyword.php";
$table_name="hotproduct_pages";
#################### Add Record ##################

if($_REQUEST['action']=="add_record" && $catName!="") {
	$catDesc=$_POST['catDesc'];
$catDesc1=$_POST['catDesc1'];
	$numCnt=getCount($table_name," where catName='$catName' and parentID='$parentID' and catID!='$catID' and catgType='$catgType' ");
	if($numCnt>0) {
		$_SESSION['session_message']=$record_type.' already exist';
	}
	else{
		if($_FILES['image']['name']!=""){
			$file_extension=strtolower(getExtension($_FILES['image']['name']));
			if($file_extension!="jpg" && $file_extension!="gif" && $file_extension!="jpeg" && $file_extension!="png"){
				$_SESSION['session_message']='Please upload image (.jpg,.gif,.png Format Only)';
				header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&catID=".$catID."&pagesize=".$pagesize);
				exit;
			}
			if($_FILES['image']['name']!=""){
			$cat=str_replace(" ", "-", $catName);
			$img_name=$cat.date("d_m_Y_H_i_s");
				
				$img=upload_file($img_name,"image","uploaded_files/category_images");	
				
				$width="100";
				$height="100";
				$source_folder=SITE_DIR_PATH."/uploaded_files/category_images/";
				$destination_folder=SITE_DIR_PATH."/uploaded_files/category_images/thumbs/";
				saveResizedImage($img, $width, $height, $source_folder, $destination_folder);			
			}
		}
		
		if($_FILES['image1']['name']!=""){
			$cat=str_replace(" ", "-", $catName);
			$img_name1=$cat.date("d_m_Y_H_i_s");
				
				$img1=upload_file($img_name1,"image1","uploaded_files/feature_images");	
				
				$width="100";
				$height="100";
				$source_folder=SITE_DIR_PATH."/uploaded_files/feature_images/";
				$destination_folder=SITE_DIR_PATH."/uploaded_files/feature_images/thumbs/";
				saveResizedImage($img1, $width, $height, $source_folder, $destination_folder);			
			}
			
		$maxRes=db_fetch_array(db_query("select max(catOrder) from $table_name where parentID='$parentID'"));
		$catOrder=$maxRes[0]+1;
		$sql=db_query("insert into $table_name set parentID='$parentID', catName='$catName', catgType='$catgType', catOrder='$catOrder', hotKeyword1='$hotKeyword1', hotKeyword2='$hotKeyword2', hotKeyword3='$hotKeyword3'");
		$_SESSION['session_message']=$record_type.' has been added successfully';
		header("Location: ".SITE_ADMIN_URL."/".$redirect_script_name."?start=".$start."&parentID=".$parentID."&catID=".$catID."&pagesize=".$pagesize);
		exit;
	}
}

################ Update Record ##################

if($_REQUEST['action']=="update_record" && $catName!="" ) {
	$catDesc=$_POST['catDesc'];
$catDesc1=$_POST['catDesc1'];
	$numCnt=getCount($table_name," where catName='$catName' and parentID='$parentID' and catID!='$catID' and catgType='$catgType'");
	if($numCnt>0) {
		$_SESSION['session_message']=$record_type.' already exist';
		header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&catID=".$catID."&pagesize=".$pagesize);
		exit;
	}
	
	if($_FILES['image']['name']!=""){
		$file_extension=strtolower(getExtension($_FILES['image']['name']));
		if($file_extension!="jpg" && $file_extension!="gif" && $file_extension!="jpeg" && $file_extension!="png"){
			$_SESSION['session_message']='Please upload image (.jpg,.gif,.png Format Only)';
			header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&catID=".$catID."&pagesize=".$pagesize);
			exit;
		}
		if($_FILES['image']['name']!=""){
			$categoryRes=getResult($table_name," where catID='$catID'","catImage");
			$filename=$categoryRes['catImage'];
			if($filename!="") {
				$file=SITE_DIR_PATH."/uploaded_files/category_images/".$filename;
				if(file_exists($file)) {
					unlink($file);
				}
				
				$file_thumb=SITE_DIR_PATH."/uploaded_files/category_images/thumbs/".$filename;
				if(file_exists($file_thumb)) {
					unlink($file_thumb);
				}
			}
			$cat=str_replace(" ", "-", $catName);
			$img_name=$cat.date("d_m_Y_H_i_s");
			$img=upload_file($img_name,"image","uploaded_files/category_images");
			updateTable($table_name," catImage='$img' where catID='$catID'");
			
			$width="100";
			$height="100";
			$source_folder=SITE_DIR_PATH."/uploaded_files/category_images/";
			$destination_folder=SITE_DIR_PATH."/uploaded_files/category_images/thumbs/";
			saveResizedImage($img, $width, $height, $source_folder, $destination_folder);
		}
	}
	
	
	
	
	if($_FILES['image1']['name']!=""){
			$categoryRes=getResult($table_name," where catID='$catID'","featureimage");
			$filename=$categoryRes['featureimage'];
			if($filename!="") {
				$file=SITE_DIR_PATH."/uploaded_files/feature_images/".$filename;
				if(file_exists($file)) {
					unlink($file);
				}
				
				$file_thumb=SITE_DIR_PATH."/uploaded_files/feature_images/thumbs/".$filename;
				if(file_exists($file_thumb)) {
					unlink($file_thumb);
				}
			}
			$cat=str_replace(" ", "-", $catName);
			$img_name1=$cat.date("d_m_Y_H_i_s");
			$img1=upload_file($img_name1,"image1","uploaded_files/feature_images");
			updateTable($table_name," featureimage='$img1' where catID='$catID'");
			
			$width="100";
			$height="100";
			$source_folder=SITE_DIR_PATH."/uploaded_files/feature_images/";
			$destination_folder=SITE_DIR_PATH."/uploaded_files/feature_images/thumbs/";
			saveResizedImage($img, $width, $height, $source_folder, $destination_folder);
		}
	
	
		
	updateTable($table_name," catName='$catName', catgType='$catgType', hotKeyword1='$hotKeyword1', hotKeyword2='$hotKeyword2', hotKeyword3='$hotKeyword3' where catID='$catID'");
  $_SESSION['session_message']=$record_type.' has been updated successfully';
	header("Location: ".SITE_ADMIN_URL."/".$redirect_script_name."?start=".$start."&parentID=".$parentID."&catID=".$catID."&pagesize=".$pagesize);
	exit;
}
########################################################
admin_header();
?>

<div align="left" class="myTitle"><?=$heading;?></div>
<hr size="2" width="100%" color="#92B2D6">
<?php
print_message();
$res=getResult($table_name," where catID='$catID'");

	$catName=$res['catName'];
	$catDesc=$res['catDesc'];
	$catDesc1=$res['catDesc1'];
	$catgType=$res['catgType'];
	$hotKeyword1=$res['hotKeyword1'];
	$hotKeyword2=$res['hotKeyword2'];
	$hotKeyword3=$res['hotKeyword3'];

echo $catgType;

?>

<table width="100%"  border="0" cellpadding="0" cellspacing="2">
 <tr>
  <td align="right"><input type="button" class="button" value="Go Back To Manage <?=$record_type;?>" onclick="window.location.href='<?=SITE_ADMIN_URL?>/<?=$redirect_script_name;?>?parentID=<?=$parentID;?>&catID=<?=$catID;?>&start=<?=$start;?>&pagesize=<?=$pagesize;?>';"></td>
 </tr>
</table><br />

<form name="formn" method="post" action="" enctype="multipart/form-data" onsubmit="return validate(this);">
<?=$msg;?>
<table width="100%"  border="0" cellpadding="0" cellspacing="2" class="lightBorder">
 <tr>
  <td class="brdrbtm" width="125"><b>Add Name</b>*</td>
  <td class="brdrbtm">
   <input name="catName" class="txtfieldadmin" size="70" value="<?=$catName?>" id="NOBLANK~Please enter category name~DM~">
  </td>
 </tr>

<script type="text/javascript" src="tinymce1/tinymce.min.js"></script>
<script type="text/javascript">
tinymce.init({
    selector: "textarea"
 });
</script>
 <tr>
  <tr>
  <td class="brdrbtm"><b>Hot Keyword1</b></td>
  <td class="brdrbtm"><textarea name="hotKeyword1" id="catDesc" rows="5" cols="30" class="txtfieldadmin" ><?=$hotKeyword1?></textarea></td>

 </tr>
 <tr>
  <td class="brdrbtm"><b>Hot Keyword2</b></td>
  <td class="brdrbtm"><textarea name="hotKeyword2" id="catDesc" rows="5" cols="30" class="txtfieldadmin" ><?=$hotKeyword2?></textarea></td>

 </tr>
 <tr>
  <td class="brdrbtm"><b>Hot Keyword3</b></td>
  <td class="brdrbtm"><textarea name="hotKeyword3" id="catDesc" rows="5" cols="30" class="txtfieldadmin" ><?=$hotKeyword3?></textarea></td>

 </tr>
  
 </tr>
 <tr>
  <td></td>
  <td class="brdrbtm">
   <?php
   if($res['catID']=="") {
	   ?>
	   <input type="submit" name="add_record" class="button" value="Add <?=$record_type;?>"><input type="hidden" name="action" value="add_record">
	   <?php	   
   }
   else{
	   ?>
	   <input type="submit" name="update_record" class="button" value="Update <?=$record_type;?>"><input type="hidden" name="action" value="update_record">
	   <?php	   
   }
   ?>
   &nbsp;&nbsp;<input type="button" name="cancel" class="button" value="Cancel" onclick="javascript: window.location.href='<?=SITE_ADMIN_URL;?>/<?=$redirect_script_name;?>?parentID=<?=$parentID;?>&catID=<?=$catID;?>&start=<?=$start;?>&pagesize=<?=$pagesize;?>'">   
  </td>
 </tr>
</table>
</form>

<?php
admin_footer();
exit;
?>